import request from '@/utils/request'


/**
* 保存特征库
* @param {*} data 
* @returns 
*/
export const saveCharacterLib = (data) => request({
  url: '/admin/character-lib',
  method: 'post',
  data
})

/**
 * 特征库列表
 * @param {*} params 
 * @returns 
 */
export const getCharacterLibList = (params) => request({
  url: '/admin/character-lib', params
})

/**
 * 删除特征库
 * @param {*} data 
 * @returns 
 */
export const deleteCharacterLib = (id) => request({
  url: `/admin/character-lib/${id}`, method: 'delete'
})
/**
 * 更新特征库
 * @param {*} data 
 * @returns 
 */
export const UpdateCharacterLib = (data, id) => request({
  url: `/admin/character-lib/${id}`, method: 'put', data
})
/**
 * 查询特征库详情
 * @param {*} params 
 * @returns 
 */
export const getCharacterLibDetail = (id) => request({
  url: `/admin/character-lib/${id}`
})



/**
* 保存实例库
* @param {*} data 
* @returns 
*/
export const saveCharacterResult = (data) => request({
  url: '/admin/character-result',
  method: 'post',
  data
})

/**
 * 实例库列表
 * @param {*} params 
 * @returns 
 */
export const getCharacterResultList = (params) => request({
  url: '/admin/character-result', params
})

/**
 * 删除实例库
 * @param {*} data 
 * @returns 
 */
export const deleteCharacterResult = (id) => request({
  url: `/admin/character-result/${id}`, method: 'delete'
})
/**
 * 更新实例库
 * @param {*} data 
 * @returns 
 */
export const UpdateCharacterResult = (data, id) => request({
  url: `/admin/character-result/${id}`, method: 'put', data
})
/**
 * 查询实例库详情
 * @param {*} params 
 * @returns 
 */
export const getCharacterResultDetail = (id) => request({
  url: `/admin/character-result/${id}`
})
