import request from '@/utils/request'

/**
* 保存特征词
* @param {*} data 
* @returns 
*/
export const saveCharacterWord = (data) => request({
  url: '/admin/character-word',
  method: 'post',
  data
})

/**
 * 特征词列表
 * @param {*} params 
 * @returns 
 */
export const getCharacterWordList = (params) => request({
  url: '/admin/character-word', params
})

/**
 * 删除特征词
 * @param {*} data 
 * @returns 
 */
export const deleteCharacterWord = (id) => request({
  url: `/admin/character-word/${id}`, method: 'delete'
})
/**
 * 更新特征词
 * @param {*} data 
 * @returns 
 */
export const UpdateCharacterWord = (data, id) => request({
  url: `/admin/character-word/${id}`, method: 'put', data
})
/**
 * 查询特征词详情
 * @param {*} params 
 * @returns 
 */
export const getCharacterWordDetail = (id) => request({
  url: `/admin/character-word/${id}`
})